Package org.apache.tapestry5.internal

# Interface InternalComponentResourcesCommon

All Known Subinterfaces:
  `ComponentPageElement`, `InternalComponentResources`

All Known Implementing Classes:
  `ComponentPageElementImpl`, `InternalComponentResourcesImpl`

public interface InternalComponentResourcesCommon
Operations shared by `InternalComponentResources` and `ComponentPageElement`. Typically, these means methods of InternalComponentResources that are delegated to the component page element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bindParameter(String parameterName, Binding binding)`
  Used during construction of the page to identify the binding for a particular parameter.
  `Binding`
  `getBinding(String parameterName)`
  Returns the binding for the given parameter name, or null.
  `Map<String,Binding>`
  `getInformalParameterBindings()`
  Constructs a map linking informal parameters to the corresponding bindings.
  `Component`
  `getMixinByClassName(String mixinClassName)`
  Returns the mixin instance for the fully qualfied mixin class name.
  `boolean`
  `isLoaded()`
  Returns true if the component has finished loading.

- ## Method Details

  - ### isLoaded

    boolean isLoaded()
    Returns true if the component has finished loading. Initially, this value will be false.
    See Also:
      - `PageLifecycleListener.containingPageDidLoad()`

  - ### bindParameter

    void bindParameter(String parameterName, Binding binding)
    Used during construction of the page to identify the binding for a particular parameter.

  - ### getBinding

    Binding getBinding(String parameterName)
    Returns the binding for the given parameter name, or null.
    Parameters:
      `parameterName` - name of component parameter
    Returns:
      binding if bound, or null
    Since:
      5.1.0.0

  - ### getMixinByClassName

    Component getMixinByClassName(String mixinClassName)
    Returns the mixin instance for the fully qualfied mixin class name.
    Parameters:
      `mixinClassName` - fully qualified class name
    Returns:
      IllegalArgumentException if no such mixin is associated with the core component

  - ### getInformalParameterBindings

    Map<String,Binding> getInformalParameterBindings()
    Constructs a map linking informal parameters to the corresponding bindings.
    Returns:
      map, possible empty